<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="rd.dao.mapper.activity.ActivityMapper">
    <select id="getConflictActivity" resultType="rd.data.db.table.Activity">
        select *
        from activity
        where (start_time between #{start} and #{end} or end_time between #{start} and #{end})
          and deleted = false
    </select>
</mapper>
